/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03088
 |           ALCOHOL AND DRUG SERVICES STUDY (ADSS), 1996-1999:
 |                            [UNITED STATES]
 |            (DATASET 0002: PHASE II ADMINISTRATOR INTERVIEW)
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (Q1 <= -6) THEN Q1 = .;
   IF (Q2A <= -6) THEN Q2A = .;
   IF (Q2B <= -6) THEN Q2B = .;
   IF (Q2C <= -6) THEN Q2C = .;
   IF (Q2D <= -6) THEN Q2D = .;
   IF (Q3A <= -6) THEN Q3A = .;
   IF (Q3B <= -6) THEN Q3B = .;
   IF (Q3C <= -6) THEN Q3C = .;
   IF (Q3D <= -6) THEN Q3D = .;
   IF (Q3TOT <= -6) THEN Q3TOT = .;
   IF (Q4A <= -6) THEN Q4A = .;
   IF (Q4B <= -6) THEN Q4B = .;
   IF (Q4C <= -6) THEN Q4C = .;
   IF (Q4D <= -6) THEN Q4D = .;
   IF (Q4E <= -6) THEN Q4E = .;
   IF (Q4F <= -6) THEN Q4F = .;
   IF (Q4G <= -6) THEN Q4G = .;
   IF (Q4H <= -6) THEN Q4H = .;
   IF (Q4I <= -6) THEN Q4I = .;
   IF (Q4J <= -6) THEN Q4J = .;
   IF (Q4K <= -6) THEN Q4K = .;
   IF (BOXA <= -6) THEN BOXA = .;
   IF (BOXB <= -6) THEN BOXB = .;
   IF (BOXC <= -6) THEN BOXC = .;
   IF (BOXD <= -6) THEN BOXD = .;
   IF (Q5A <= -6) THEN Q5A = .;
   IF (Q5B <= -6) THEN Q5B = .;
   IF (Q5C <= -6) THEN Q5C = .;
   IF (Q6A <= -6) THEN Q6A = .;
   IF (Q6B <= -6) THEN Q6B = .;
   IF (Q6C <= -6) THEN Q6C = .;
   IF (Q7A <= -6) THEN Q7A = .;
   IF (Q7AU <= -6) THEN Q7AU = .;
   IF (Q7B <= -6.0) THEN Q7B = .;
   IF (Q7BU <= -6) THEN Q7BU = .;
   IF (Q7C <= -6) THEN Q7C = .;
   IF (Q7CU <= -6) THEN Q7CU = .;
   IF (Q8FMM <= -6) THEN Q8FMM = .;
   IF (Q8FDD <= -6) THEN Q8FDD = .;
   IF (Q8FYY <= -6) THEN Q8FYY = .;
   IF (Q8TMM <= -6) THEN Q8TMM = .;
   IF (Q8TDD <= -6) THEN Q8TDD = .;
   IF (Q8TYY <= -6) THEN Q8TYY = .;
   IF (Q9A <= -6) THEN Q9A = .;
   IF (Q9B <= -6) THEN Q9B = .;
   IF (Q9C <= -6) THEN Q9C = .;
   IF (Q9D <= -6) THEN Q9D = .;
   IF (Q10A <= -6) THEN Q10A = .;
   IF (Q11A <= -6) THEN Q11A = .;
   IF (Q10B <= -6) THEN Q10B = .;
   IF (Q11B <= -6) THEN Q11B = .;
   IF (Q10C <= -6) THEN Q10C = .;
   IF (Q11C <= -6) THEN Q11C = .;
   IF (Q10D <= -6) THEN Q10D = .;
   IF (Q11D <= -6) THEN Q11D = .;
   IF (Q10E <= -6) THEN Q10E = .;
   IF (Q10ES <= -6) THEN Q10ES = .;
   IF (Q11E <= -1) THEN Q11E = .;
   IF (Q12A <= -6) THEN Q12A = .;
   IF (Q12B <= -6) THEN Q12B = .;
   IF (Q12C <= -6) THEN Q12C = .;
   IF (Q13A <= -6) THEN Q13A = .;
   IF (Q13B <= -6) THEN Q13B = .;
   IF (Q13C <= -6) THEN Q13C = .;
   IF (Q14 <= -6) THEN Q14 = .;
   IF (Q15A <= -6) THEN Q15A = .;
   IF (Q15AU <= -6) THEN Q15AU = .;
   IF (Q15B <= -6) THEN Q15B = .;
   IF (Q15BU <= -6) THEN Q15BU = .;
   IF (Q15C <= -6) THEN Q15C = .;
   IF (Q15CU <= -6) THEN Q15CU = .;
   IF (Q16FMM <= -6) THEN Q16FMM = .;
   IF (Q16FDD <= -6) THEN Q16FDD = .;
   IF (Q16FYY <= -6) THEN Q16FYY = .;
   IF (Q16TMM <= -6) THEN Q16TMM = .;
   IF (Q16TDD <= -6) THEN Q16TDD = .;
   IF (Q16TYY <= -6) THEN Q16TYY = .;
   IF (Q17A <= -6) THEN Q17A = .;
   IF (Q17B <= -6) THEN Q17B = .;
   IF (Q17C <= -6.0) THEN Q17C = .;
   IF (Q17D <= -6.0) THEN Q17D = .;
   IF (Q18A <= -6) THEN Q18A = .;
   IF (Q19A <= -6) THEN Q19A = .;
   IF (Q18B <= -6) THEN Q18B = .;
   IF (Q19B <= -6.0) THEN Q19B = .;
   IF (Q18C <= -6) THEN Q18C = .;
   IF (Q19C <= -6) THEN Q19C = .;
   IF (Q18D <= -6) THEN Q18D = .;
   IF (Q19D <= -6) THEN Q19D = .;
   IF (Q18E <= -6) THEN Q18E = .;
   IF (Q18ES <= -6) THEN Q18ES = .;
   IF (Q19E <= -6.0) THEN Q19E = .;
   IF (Q20 <= -6) THEN Q20 = .;
   IF (Q21 <= -1.0) THEN Q21 = .;
   IF (Q21U <= -6) THEN Q21U = .;
   IF (Q22FMM <= -6) THEN Q22FMM = .;
   IF (Q22FDD <= -6) THEN Q22FDD = .;
   IF (Q22FYY <= -6) THEN Q22FYY = .;
   IF (Q22TMM <= -6) THEN Q22TMM = .;
   IF (Q22TDD <= -6) THEN Q22TDD = .;
   IF (Q22TYY <= -6) THEN Q22TYY = .;
   IF (Q23A <= -6.00) THEN Q23A = .;
   IF (Q23B <= -6.00) THEN Q23B = .;
   IF (Q24A <= -6) THEN Q24A = .;
   IF (Q25A <= -6.0) THEN Q25A = .;
   IF (Q24B <= -6) THEN Q24B = .;
   IF (Q25B <= -6.0) THEN Q25B = .;
   IF (Q24C <= -6) THEN Q24C = .;
   IF (Q25C <= -6.0) THEN Q25C = .;
   IF (Q24D <= -6) THEN Q24D = .;
   IF (Q25D <= -6.0) THEN Q25D = .;
   IF (Q24E <= -6) THEN Q24E = .;
   IF (Q24ES <= -6) THEN Q24ES = .;
   IF (Q25E <= -6.00) THEN Q25E = .;
   IF (Q26 <= -6.0) THEN Q26 = .;
   IF (Q27 <= -6) THEN Q27 = .;
   IF (Q28 <= -1.00) THEN Q28 = .;
   IF (Q28U <= -6) THEN Q28U = .;
   IF (Q29 <= -6) THEN Q29 = .;
   IF (Q30 <= -6) THEN Q30 = .;
   IF (Q31 <= -6) THEN Q31 = .;
   IF (Q31U <= -6) THEN Q31U = .;
   IF (Q32FMM <= -6) THEN Q32FMM = .;
   IF (Q32FDD <= -6) THEN Q32FDD = .;
   IF (Q32FYY <= -6) THEN Q32FYY = .;
   IF (Q32TMM <= -6) THEN Q32TMM = .;
   IF (Q32TDD <= -6) THEN Q32TDD = .;
   IF (Q32TYY <= -6) THEN Q32TYY = .;
   IF (Q33A <= -1.00) THEN Q33A = .;
   IF (Q33B <= -1.00) THEN Q33B = .;
   IF (Q34A <= -6) THEN Q34A = .;
   IF (Q35A <= -6.0) THEN Q35A = .;
   IF (Q34B <= -6) THEN Q34B = .;
   IF (Q35B <= -6.0) THEN Q35B = .;
   IF (Q34C <= -6) THEN Q34C = .;
   IF (Q35C <= -6.0) THEN Q35C = .;
   IF (Q34D <= -6) THEN Q34D = .;
   IF (Q35D <= -6) THEN Q35D = .;
   IF (Q34E <= -6) THEN Q34E = .;
   IF (Q34ES <= -6) THEN Q34ES = .;
   IF (Q35E <= -6.00) THEN Q35E = .;
   IF (Q36 <= -6) THEN Q36 = .;
   IF (Q37 <= -6.0) THEN Q37 = .;
   IF (Q38 <= -6.00) THEN Q38 = .;
   IF (Q39 <= -6.00) THEN Q39 = .;
   IF (Q40A <= -6) THEN Q40A = .;
   IF (Q40B <= -6) THEN Q40B = .;
   IF (Q40C <= -6) THEN Q40C = .;
   IF (Q41 <= -6) THEN Q41 = .;
   IF (Q42A <= -6) THEN Q42A = .;
   IF (Q42B <= -6) THEN Q42B = .;
   IF (Q42C <= -6) THEN Q42C = .;
   IF (Q42D <= -6) THEN Q42D = .;
   IF (Q42E <= -6) THEN Q42E = .;
   IF (Q42F <= -6) THEN Q42F = .;
   IF (Q42G <= -6) THEN Q42G = .;
   IF (Q42H <= -6) THEN Q42H = .;
   IF (Q42I <= -6) THEN Q42I = .;
   IF (Q42J <= -6) THEN Q42J = .;
   IF (Q43 <= -6) THEN Q43 = .;
   IF (Q44 <= -6) THEN Q44 = .;
   IF (Q45 <= -6) THEN Q45 = .;
   IF (Q45B <= -6) THEN Q45B = .;
   IF (Q45C <= -6) THEN Q45C = .;
   IF (Q46 <= -6) THEN Q46 = .;
   IF (Q46OTH1 <= -6) THEN Q46OTH1 = .;
   IF (Q46OTH2 <= -6) THEN Q46OTH2 = .;
   IF (Q46OTH3 <= -6) THEN Q46OTH3 = .;
   IF (Q47BOX <= -6) THEN Q47BOX = .;
   IF (R9A1 <= -6.00) THEN R9A1 = .;
   IF (R9B1 <= -6.0) THEN R9B1 = .;
   IF (R9C1 <= -6.0) THEN R9C1 = .;
   IF (R9D1 <= -6.00) THEN R9D1 = .;
   IF (R9E1 <= -6.00) THEN R9E1 = .;
   IF (R9F1 <= -6.00) THEN R9F1 = .;
   IF (R9G1 <= -6.0) THEN R9G1 = .;
   IF (R9H1 <= -6.00) THEN R9H1 = .;
   IF (R9I1 <= -6.00) THEN R9I1 = .;
   IF (R9A2 <= -6) THEN R9A2 = .;
   IF (R9B2 <= -6) THEN R9B2 = .;
   IF (R9C2 <= -6) THEN R9C2 = .;
   IF (R9D2 <= -6) THEN R9D2 = .;
   IF (R9E2 <= -6.0) THEN R9E2 = .;
   IF (R9F2 <= -6) THEN R9F2 = .;
   IF (R9G2 <= -6) THEN R9G2 = .;
   IF (R9H2 <= -6) THEN R9H2 = .;
   IF (R9I2 <= -6.0) THEN R9I2 = .;
   IF (R9A3 <= -6) THEN R9A3 = .;
   IF (R9B3 <= -6) THEN R9B3 = .;
   IF (R9C3 <= -6) THEN R9C3 = .;
   IF (R9D3 <= -6) THEN R9D3 = .;
   IF (R9E3 <= -6) THEN R9E3 = .;
   IF (R9F3 <= -6) THEN R9F3 = .;
   IF (R9G3 <= -6) THEN R9G3 = .;
   IF (R9H3 <= -6.0) THEN R9H3 = .;
   IF (R9I3 <= -6.0) THEN R9I3 = .;
   IF (Q47AW <= -6.00) THEN Q47AW = .;
   IF (Q47BW <= -6.00) THEN Q47BW = .;
   IF (Q47CW <= -6.0) THEN Q47CW = .;
   IF (Q47DW <= -6.0) THEN Q47DW = .;
   IF (Q47EW <= -6.00) THEN Q47EW = .;
   IF (Q47FW <= -6.0) THEN Q47FW = .;
   IF (Q47GW <= -6.0) THEN Q47GW = .;
   IF (Q47HW <= -6.0) THEN Q47HW = .;
   IF (Q47IW <= -6.00) THEN Q47IW = .;
   IF (BOXE <= -6) THEN BOXE = .;
   IF (Q48A <= -6) THEN Q48A = .;
   IF (Q48B <= -6) THEN Q48B = .;
   IF (Q48C <= -6) THEN Q48C = .;
   IF (Q48D <= -6) THEN Q48D = .;
   IF (Q48E <= -6) THEN Q48E = .;
   IF (Q49A <= -1.00) THEN Q49A = .;
   IF (Q49AU <= -6) THEN Q49AU = .;
   IF (Q50A <= -6) THEN Q50A = .;
   IF (Q49B <= -1.00) THEN Q49B = .;
   IF (Q49BU <= -6.00) THEN Q49BU = .;
   IF (Q50B <= -6.00) THEN Q50B = .;
   IF (Q49C <= -1.00) THEN Q49C = .;
   IF (Q49CU <= -6.00) THEN Q49CU = .;
   IF (Q50C <= -6.00) THEN Q50C = .;
   IF (Q49D <= -1.00) THEN Q49D = .;
   IF (Q49DU <= -6.00) THEN Q49DU = .;
   IF (Q50D <= -6.00) THEN Q50D = .;
   IF (Q49E <= -1.00) THEN Q49E = .;
   IF (Q49EU <= -6.00) THEN Q49EU = .;
   IF (Q50E <= -6.00) THEN Q50E = .;
   IF (Q49F <= -1.00) THEN Q49F = .;
   IF (Q49FU <= -6.00) THEN Q49FU = .;
   IF (Q50F <= -6.00) THEN Q50F = .;
   IF (Q49G <= -1.00) THEN Q49G = .;
   IF (Q49GU <= -6.00) THEN Q49GU = .;
   IF (Q50G <= -6.00) THEN Q50G = .;
   IF (Q49H <= -1.00) THEN Q49H = .;
   IF (Q49HU <= -6) THEN Q49HU = .;
   IF (Q50H <= -6) THEN Q50H = .;
   IF (Q51A <= -6) THEN Q51A = .;
   IF (Q51APC <= -6) THEN Q51APC = .;
   IF (Q51B <= -6) THEN Q51B = .;
   IF (Q51BPC <= -6) THEN Q51BPC = .;
   IF (Q51C <= -6) THEN Q51C = .;
   IF (Q51CPC <= -6.0) THEN Q51CPC = .;
   IF (Q51D <= -6) THEN Q51D = .;
   IF (Q51DPC <= -6) THEN Q51DPC = .;
   IF (Q51E <= -6) THEN Q51E = .;
   IF (Q51EPC <= -6.00) THEN Q51EPC = .;
   IF (Q51F <= -6) THEN Q51F = .;
   IF (Q51FPC <= -6.00) THEN Q51FPC = .;
   IF (Q51G <= -6) THEN Q51G = .;
   IF (Q51GPC <= -6.00) THEN Q51GPC = .;
   IF (Q51H <= -6) THEN Q51H = .;
   IF (Q51HPC <= -6.00) THEN Q51HPC = .;
   IF (Q51I <= -6) THEN Q51I = .;
   IF (Q51IPC <= -6.0) THEN Q51IPC = .;
   IF (Q51J <= -6) THEN Q51J = .;
   IF (Q51JPC <= -6) THEN Q51JPC = .;
   IF (Q51K <= -6) THEN Q51K = .;
   IF (Q51KPC <= -6.0) THEN Q51KPC = .;
   IF (Q51L <= -6) THEN Q51L = .;
   IF (Q51LPC <= -6.0) THEN Q51LPC = .;
   IF (Q51M <= -6) THEN Q51M = .;
   IF (Q51MPC <= -6.0) THEN Q51MPC = .;
   IF (Q51N <= -6) THEN Q51N = .;
   IF (Q51NPC <= -6.0) THEN Q51NPC = .;
   IF (Q51O <= -6) THEN Q51O = .;
   IF (Q51OPC <= -6.0) THEN Q51OPC = .;
   IF (Q51P <= -6) THEN Q51P = .;
   IF (Q51PPC <= -6) THEN Q51PPC = .;
   IF (Q51Q <= -6) THEN Q51Q = .;
   IF (Q51QPC <= -6.0) THEN Q51QPC = .;
   IF (Q51R <= -6) THEN Q51R = .;
   IF (Q51RPC <= -6) THEN Q51RPC = .;
   IF (Q52 <= -1) THEN Q52 = .;
   IF (Q53FMM <= -6) THEN Q53FMM = .;
   IF (Q53FDD <= -6) THEN Q53FDD = .;
   IF (Q53FYY <= -6) THEN Q53FYY = .;
   IF (Q53TMM <= -6) THEN Q53TMM = .;
   IF (Q53TDD <= -6) THEN Q53TDD = .;
   IF (Q53TYY <= -6) THEN Q53TYY = .;
   IF (Q54BOX <= -6) THEN Q54BOX = .;
   IF (Q54PC <= -6) THEN Q54PC = .;
   IF (Q55 <= -1) THEN Q55 = .;
   IF (Q56BOX <= -6) THEN Q56BOX = .;
   IF (Q56PC <= -6) THEN Q56PC = .;
   IF (TMEH <= -6) THEN TMEH = .;
   IF (TMEM <= -6) THEN TMEM = .;
   IF (TMEAP <= -6) THEN TMEAP = .;
   IF (Q57FMM <= -6) THEN Q57FMM = .;
   IF (Q57FDD <= -6) THEN Q57FDD = .;
   IF (Q57FYY <= -6) THEN Q57FYY = .;
   IF (Q57TMM <= -6) THEN Q57TMM = .;
   IF (Q57TDD <= -6) THEN Q57TDD = .;
   IF (Q57TYY <= -6) THEN Q57TYY = .;
   IF (Q57A01 <= -6) THEN Q57A01 = .;
   IF (Q57B01N <= -6) THEN Q57B01N = .;
   IF (Q57B01P <= -6) THEN Q57B01P = .;
   IF (Q57A02 <= -6) THEN Q57A02 = .;
   IF (Q57B02N <= -6) THEN Q57B02N = .;
   IF (Q57B02P <= -6) THEN Q57B02P = .;
   IF (Q57A03 <= -6) THEN Q57A03 = .;
   IF (Q57B03N <= -6) THEN Q57B03N = .;
   IF (Q57B03P <= -6) THEN Q57B03P = .;
   IF (Q57A04 <= -6) THEN Q57A04 = .;
   IF (Q57B04N <= -6) THEN Q57B04N = .;
   IF (Q57B04P <= -6) THEN Q57B04P = .;
   IF (Q57A05 <= -6) THEN Q57A05 = .;
   IF (Q57B05N <= -6) THEN Q57B05N = .;
   IF (Q57B05P <= -6) THEN Q57B05P = .;
   IF (Q57A06 <= -6) THEN Q57A06 = .;
   IF (Q57B06N <= -6) THEN Q57B06N = .;
   IF (Q57B06P <= -6) THEN Q57B06P = .;
   IF (Q57A07 <= -6) THEN Q57A07 = .;
   IF (Q57B07N <= -6) THEN Q57B07N = .;
   IF (Q57B07P <= -6) THEN Q57B07P = .;
   IF (Q57A08 <= -6) THEN Q57A08 = .;
   IF (Q57B08N <= -6) THEN Q57B08N = .;
   IF (Q57B08P <= -6) THEN Q57B08P = .;
   IF (Q57A09 <= -6) THEN Q57A09 = .;
   IF (Q57A09S <= -6) THEN Q57A09S = .;
   IF (Q57B09N <= -6) THEN Q57B09N = .;
   IF (Q57B09P <= -6) THEN Q57B09P = .;
   IF (Q57A10 <= -6) THEN Q57A10 = .;
   IF (Q57B10N <= -6) THEN Q57B10N = .;
   IF (Q57B10P <= -6) THEN Q57B10P = .;
   IF (Q57BTN <= -6) THEN Q57BTN = .;
   IF (Q58FMM <= -6) THEN Q58FMM = .;
   IF (Q58FDD <= -6) THEN Q58FDD = .;
   IF (Q58FYY <= -6) THEN Q58FYY = .;
   IF (Q58TMM <= -6) THEN Q58TMM = .;
   IF (Q58TDD <= -6) THEN Q58TDD = .;
   IF (Q58TYY <= -6) THEN Q58TYY = .;
   IF (Q58A01 <= -6) THEN Q58A01 = .;
   IF (Q58B01N <= -6) THEN Q58B01N = .;
   IF (Q58B01P <= -6) THEN Q58B01P = .;
   IF (Q58A02 <= -6) THEN Q58A02 = .;
   IF (Q58B02N <= -6) THEN Q58B02N = .;
   IF (Q58B02P <= -6) THEN Q58B02P = .;
   IF (Q58A03 <= -6) THEN Q58A03 = .;
   IF (Q58B03N <= -6) THEN Q58B03N = .;
   IF (Q58B03P <= -6) THEN Q58B03P = .;
   IF (Q58A04 <= -6) THEN Q58A04 = .;
   IF (Q58B04N <= -6) THEN Q58B04N = .;
   IF (Q58B04P <= -6) THEN Q58B04P = .;
   IF (Q58A05 <= -6) THEN Q58A05 = .;
   IF (Q58B05N <= -6) THEN Q58B05N = .;
   IF (Q58B05P <= -6) THEN Q58B05P = .;
   IF (Q58A06 <= -6) THEN Q58A06 = .;
   IF (Q58B06N <= -6) THEN Q58B06N = .;
   IF (Q58B06P <= -6) THEN Q58B06P = .;
   IF (Q58A07 <= -6) THEN Q58A07 = .;
   IF (Q58B07N <= -6) THEN Q58B07N = .;
   IF (Q58B07P <= -6) THEN Q58B07P = .;
   IF (Q58A08 <= -6) THEN Q58A08 = .;
   IF (Q58B08N <= -6) THEN Q58B08N = .;
   IF (Q58B08P <= -6) THEN Q58B08P = .;
   IF (Q58A09 <= -6) THEN Q58A09 = .;
   IF (Q58A09S <= -6) THEN Q58A09S = .;
   IF (Q58B09N <= -6) THEN Q58B09N = .;
   IF (Q58B09P <= -6) THEN Q58B09P = .;
   IF (Q58A10 <= -6) THEN Q58A10 = .;
   IF (Q58B10N <= -6) THEN Q58B10N = .;
   IF (Q58B10P <= -6) THEN Q58B10P = .;
   IF (Q58BTN <= -6) THEN Q58BTN = .;
   IF (Q59FMM <= -6) THEN Q59FMM = .;
   IF (Q59FDD <= -6) THEN Q59FDD = .;
   IF (Q59FYY <= -6) THEN Q59FYY = .;
   IF (Q59TMM <= -6) THEN Q59TMM = .;
   IF (Q59TDD <= -6) THEN Q59TDD = .;
   IF (Q59TYY <= -6) THEN Q59TYY = .;
   IF (Q59A01 <= -6) THEN Q59A01 = .;
   IF (Q59B01N <= -6) THEN Q59B01N = .;
   IF (Q59B01P <= -6) THEN Q59B01P = .;
   IF (Q59A02 <= -6) THEN Q59A02 = .;
   IF (Q59B02N <= -6) THEN Q59B02N = .;
   IF (Q59B02P <= -6) THEN Q59B02P = .;
   IF (Q59A03 <= -6) THEN Q59A03 = .;
   IF (Q59B03N <= -6) THEN Q59B03N = .;
   IF (Q59B03P <= -6) THEN Q59B03P = .;
   IF (Q59A04 <= -6) THEN Q59A04 = .;
   IF (Q59B04N <= -6) THEN Q59B04N = .;
   IF (Q59B04P <= -6) THEN Q59B04P = .;
   IF (Q59A05 <= -6) THEN Q59A05 = .;
   IF (Q59B05N <= -6) THEN Q59B05N = .;
   IF (Q59B05P <= -6) THEN Q59B05P = .;
   IF (Q59A06 <= -6) THEN Q59A06 = .;
   IF (Q59B06N <= -6) THEN Q59B06N = .;
   IF (Q59B06P <= -6) THEN Q59B06P = .;
   IF (Q59A07 <= -6) THEN Q59A07 = .;
   IF (Q59B07N <= -6) THEN Q59B07N = .;
   IF (Q59B07P <= -6) THEN Q59B07P = .;
   IF (Q59A08 <= -6) THEN Q59A08 = .;
   IF (Q59B08N <= -6) THEN Q59B08N = .;
   IF (Q59B08P <= -6) THEN Q59B08P = .;
   IF (Q59A09 <= -6) THEN Q59A09 = .;
   IF (Q59A09S <= -6) THEN Q59A09S = .;
   IF (Q59B09N <= -6) THEN Q59B09N = .;
   IF (Q59B09P <= -6) THEN Q59B09P = .;
   IF (Q59A10 <= -6) THEN Q59A10 = .;
   IF (Q59B10N <= -6) THEN Q59B10N = .;
   IF (Q59B10P <= -6) THEN Q59B10P = .;
   IF (Q59BTN <= -6) THEN Q59BTN = .;
   IF (Q60 <= -6) THEN Q60 = .;
   IF (Q61FMM <= -6) THEN Q61FMM = .;
   IF (Q61FDD <= -6) THEN Q61FDD = .;
   IF (Q61FYY <= -6) THEN Q61FYY = .;
   IF (Q61TMM <= -6) THEN Q61TMM = .;
   IF (Q61TDD <= -6) THEN Q61TDD = .;
   IF (Q61TYY <= -6) THEN Q61TYY = .;
   IF (Q61A01 <= -6) THEN Q61A01 = .;
   IF (Q61B01N <= -6) THEN Q61B01N = .;
   IF (Q61B01P <= -6) THEN Q61B01P = .;
   IF (Q61A02 <= -6) THEN Q61A02 = .;
   IF (Q61B02N <= -6) THEN Q61B02N = .;
   IF (Q61B02P <= -6) THEN Q61B02P = .;
   IF (Q61A03 <= -6) THEN Q61A03 = .;
   IF (Q61B03N <= -6) THEN Q61B03N = .;
   IF (Q61B03P <= -6) THEN Q61B03P = .;
   IF (Q61A04 <= -6) THEN Q61A04 = .;
   IF (Q61B04N <= -6) THEN Q61B04N = .;
   IF (Q61B04P <= -6) THEN Q61B04P = .;
   IF (Q61A05 <= -6) THEN Q61A05 = .;
   IF (Q61B05N <= -6) THEN Q61B05N = .;
   IF (Q61B05P <= -6) THEN Q61B05P = .;
   IF (Q61A06 <= -6) THEN Q61A06 = .;
   IF (Q61B06N <= -6) THEN Q61B06N = .;
   IF (Q61B06P <= -6) THEN Q61B06P = .;
   IF (Q61A07 <= -6) THEN Q61A07 = .;
   IF (Q61B07N <= -6) THEN Q61B07N = .;
   IF (Q61B07P <= -6) THEN Q61B07P = .;
   IF (Q61A08 <= -6) THEN Q61A08 = .;
   IF (Q61B08N <= -6) THEN Q61B08N = .;
   IF (Q61B08P <= -6) THEN Q61B08P = .;
   IF (Q61A09 <= -6) THEN Q61A09 = .;
   IF (Q61A09S <= -6) THEN Q61A09S = .;
   IF (Q61B09N <= -6) THEN Q61B09N = .;
   IF (Q61B09P <= -6) THEN Q61B09P = .;
   IF (Q61A10 <= -6) THEN Q61A10 = .;
   IF (Q61B10N <= -6) THEN Q61B10N = .;
   IF (Q61B10P <= -6) THEN Q61B10P = .;
   IF (Q61BTN <= -6) THEN Q61BTN = .;
   IF (BIG_N <= -6) THEN BIG_N = .;
   IF (SMALL_N <= -6) THEN SMALL_N = .;
   IF (BIGNT <= -6) THEN BIGNT = .;
   IF (SMALLNT <= -6) THEN SMALLNT = .;
   IF (PSUTYPE2 <= -6) THEN PSUTYPE2 = .;
   IF (COMPWT62 <= -6.0000) THEN COMPWT62 = .;
   IF (CENREG <= -6) THEN CENREG = .;
   IF (PH1FW0 <= -6.0000) THEN PH1FW0 = .;
   IF (PH2CFW <= -6.0000) THEN PH2CFW = .;
   IF (F2BWA0 <= -6.0000) THEN F2BWA0 = .;
   IF (VST_PSU <= -6) THEN VST_PSU = .;
   IF (VUN_PSU <= -6) THEN VUN_PSU = .;
   IF (CTCLIENT <= -6) THEN CTCLIENT = .;
   IF (FACTYPE <= -6) THEN FACTYPE = .;
   IF (TRIMFAC0 <= -6.0000) THEN TRIMFAC0 = .;
   IF (CTRLCAT2 <= -6) THEN CTRLCAT2 = .;
   IF (FTOTCNT <= -6) THEN FTOTCNT = .;
   IF (FSMPCNT <= -6) THEN FSMPCNT = .;
   IF (PSF <= -6.0000) THEN PSF = .;
   IF (F2FWA1 <= -6.0000) THEN F2FWA1 = .;
   IF (F2FWA2 <= -6.0000) THEN F2FWA2 = .;
   IF (F2FWA3 <= -6.0000) THEN F2FWA3 = .;
   IF (F2FWA4 <= -6.0000) THEN F2FWA4 = .;
   IF (F2FWA5 <= -6.0000) THEN F2FWA5 = .;
   IF (F2FWA6 <= -6.0000) THEN F2FWA6 = .;
   IF (F2FWA7 <= -6.0000) THEN F2FWA7 = .;
   IF (F2FWA8 <= -6.0000) THEN F2FWA8 = .;
   IF (F2FWA9 <= -6.0000) THEN F2FWA9 = .;
   IF (F2FWA10 <= -6.0000) THEN F2FWA10 = .;
   IF (F2FWA11 <= -6.0000) THEN F2FWA11 = .;
   IF (F2FWA12 <= -6.0000) THEN F2FWA12 = .;
   IF (F2FWA13 <= -6.0000) THEN F2FWA13 = .;
   IF (F2FWA14 <= -6.0000) THEN F2FWA14 = .;
   IF (F2FWA15 <= -6.0000) THEN F2FWA15 = .;
   IF (F2FWA16 <= -6.0000) THEN F2FWA16 = .;
   IF (F2FWA17 <= -6.0000) THEN F2FWA17 = .;
   IF (F2FWA18 <= -6.0000) THEN F2FWA18 = .;
   IF (F2FWA19 <= -6.0000) THEN F2FWA19 = .;
   IF (F2FWA20 <= -6.0000) THEN F2FWA20 = .;
   IF (F2FWA21 <= -6.0000) THEN F2FWA21 = .;
   IF (F2FWA22 <= -6.0000) THEN F2FWA22 = .;
   IF (F2FWA23 <= -6.0000) THEN F2FWA23 = .;
   IF (F2FWA24 <= -6.0000) THEN F2FWA24 = .;
   IF (F2FWA25 <= -6.0000) THEN F2FWA25 = .;
   IF (F2FWA26 <= -6.0000) THEN F2FWA26 = .;
   IF (F2FWA27 <= -6.0000) THEN F2FWA27 = .;
   IF (F2FWA28 <= -6.0000) THEN F2FWA28 = .;
   IF (F2FWA29 <= -6.0000) THEN F2FWA29 = .;
   IF (F2FWA30 <= -6.0000) THEN F2FWA30 = .;
   IF (F2FWA31 <= -6.0000) THEN F2FWA31 = .;
   IF (F2FWA32 <= -6.0000) THEN F2FWA32 = .;
   IF (F2FWA33 <= -6.0000) THEN F2FWA33 = .;
   IF (F2FWA34 <= -6.0000) THEN F2FWA34 = .;
   IF (F2FWA35 <= -6.0000) THEN F2FWA35 = .;
   IF (F2FWA36 <= -6.0000) THEN F2FWA36 = .;
   IF (F2FWA37 <= -6.0000) THEN F2FWA37 = .;
   IF (F2FWA38 <= -6.0000) THEN F2FWA38 = .;
   IF (F2FWA39 <= -6.0000) THEN F2FWA39 = .;
   IF (F2FWA40 <= -6.0000) THEN F2FWA40 = .;
   IF (F2FWA41 <= -6.0000) THEN F2FWA41 = .;
   IF (F2FWA42 <= -6.0000) THEN F2FWA42 = .;
   IF (F2FWA43 <= -6.0000) THEN F2FWA43 = .;
   IF (F2FWA44 <= -6.0000) THEN F2FWA44 = .;
   IF (F2FWA45 <= -6.0000) THEN F2FWA45 = .;
   IF (F2FWA46 <= -6.0000) THEN F2FWA46 = .;
   IF (F2FWA47 <= -6.0000) THEN F2FWA47 = .;
   IF (F2FWA48 <= -6.0000) THEN F2FWA48 = .;
   IF (F2FWA49 <= -6.0000) THEN F2FWA49 = .;
   IF (F2FWA50 <= -6.0000) THEN F2FWA50 = .;
   IF (F2FWA51 <= -6.0000) THEN F2FWA51 = .;
   IF (F2FWA52 <= -6.0000) THEN F2FWA52 = .;
   IF (F2FWA53 <= -6.0000) THEN F2FWA53 = .;
   IF (F2FWA54 <= -6.0000) THEN F2FWA54 = .;
   IF (F2FWA55 <= -6.0000) THEN F2FWA55 = .;
   IF (F2FWA56 <= -6.0000) THEN F2FWA56 = .;
   IF (F2FWA57 <= -6.0000) THEN F2FWA57 = .;
   IF (F2FWA58 <= -6.0000) THEN F2FWA58 = .;
   IF (F2FWA59 <= -6.0000) THEN F2FWA59 = .;
   IF (F2FWA60 <= -6.0000) THEN F2FWA60 = .;
   IF (F2FWA61 <= -6.0000) THEN F2FWA61 = .;
   IF (F2FWA62 <= -6.0000) THEN F2FWA62 = .;
   IF (F2FWA63 <= -6.0000) THEN F2FWA63 = .;
   IF (F2FWA64 <= -6.0000) THEN F2FWA64 = .;
   IF (F2FWA65 <= -6.0000) THEN F2FWA65 = .;
   IF (F2FWA66 <= -6.0000) THEN F2FWA66 = .;
   IF (F2FWA67 <= -6.0000) THEN F2FWA67 = .;
   IF (F2FWA68 <= -6.0000) THEN F2FWA68 = .;
   IF (F2FWA69 <= -6.0000) THEN F2FWA69 = .;
   IF (F2FWA70 <= -6.0000) THEN F2FWA70 = .;
   IF (F2FWA71 <= -6.0000) THEN F2FWA71 = .;
   IF (F2FWA72 <= -6.0000) THEN F2FWA72 = .;
   IF (F2FWA73 <= -6.0000) THEN F2FWA73 = .;
   IF (F2FWA74 <= -6.0000) THEN F2FWA74 = .;
   IF (F2FWA75 <= -6.0000) THEN F2FWA75 = .;
   IF (F2FWA76 <= -6.0000) THEN F2FWA76 = .;
   IF (F2FWA77 <= -6.0000) THEN F2FWA77 = .;
   IF (F2FWA78 <= -6.0000) THEN F2FWA78 = .;
   IF (F2FWA0 <= -6.0000) THEN F2FWA0 = .;
   IF (OWN <= -6) THEN OWN = .;
*/

RUN ;
